Protected Member Functions | Friends | List of all members
clan::NetworkEvent Class Referenceabstract

Base class for all classes that generate network events. More...

`#include <network_condition_variable.h>`

Inheritance diagram for clan::NetworkEvent:

## Protected Member Functions
virtual SocketHandle * | get_socket_handle ()=0

## Friends
class | NetworkConditionVariable

## Detailed Description

Base class for all classes that generate network events.

## Member Function Documentation

virtual SocketHandle* clan::NetworkEvent::get_socket_handle | ( |  | ) |
| protected pure virtual

Implemented in clan::TCPConnection, clan::TCPListen, and clan::UDPSocket.

## Friends And Related Function Documentation

friend class NetworkConditionVariable
| friend

The documentation for this class was generated from the following file:

- network_condition_variable.h